import { makeStyles } from "@mui/styles";
import { Tag } from "antd";

const useStyles = makeStyles({
    container: {
        height: '200px',
        width: '600px',
        border: '1px solid black',
        margin: "100px",
        display: 'flex',
        flexDirection: 'column',
        flexWrap: 'wrap',
        overflowY: 'scroll',
    },
    names: {
        maxWidth: '140px',
        minWidth: '140px', 
    },
    phones: {
        maxWidth: '140px',
        minWidth: '140px', 
    },
    address: {
        maxWidth: '140px',
        minWidth: '140px', 
    }
});
export const TestPage = () => {
    const style = useStyles();
    return (
        <div className={style.container}>
            <div className={style.names}>
                <Tag>name1</Tag>
                <Tag>name2</Tag>
                <Tag>name3</Tag>
                <Tag>name4</Tag>
                <Tag>name5</Tag>
                <Tag>name6</Tag>
                <Tag>name7</Tag>
                <Tag>name8</Tag>
                <Tag>name9</Tag>
                <Tag>name10</Tag>
                <Tag>name11</Tag>
                <Tag>name12</Tag>
                <Tag>name13</Tag>
                <Tag>name14</Tag>
                <Tag>name15</Tag>
            </div>
            <div className={style.phones}>
                <Tag color="success">phone1</Tag>
                <Tag color="success">phone2</Tag>
                <Tag color="success">phone3</Tag>
                <Tag color="success">phone4</Tag>
                <Tag color="success">phone5</Tag>
                <Tag color="success">phone6</Tag>
                <Tag color="success">phone7</Tag>
                <Tag color="success">phone8</Tag>
                <Tag color="success">phone9</Tag>
            </div>
            <div className={style.address}>
                <Tag color="error">address1</Tag>
                <Tag color="error">address2</Tag>
                <Tag color="error">address3</Tag>
                <Tag color="error">address4</Tag>
                <Tag color="error">address5</Tag>
                <Tag color="error">address6</Tag>
                <Tag color="error">address7</Tag>
                <Tag color="error">address8</Tag>
            </div>
            <div>
                <Tag color="warning">birthday</Tag>
                <Tag color="warning">birthday</Tag>
                <Tag color="warning">birthday</Tag>
                <Tag color="warning">birthday</Tag>
                <Tag color="warning">birthday</Tag>
                <Tag color="warning">birthday</Tag>
            </div>
        </div>
    );
}